- Type:
object
Basic auth
The Crawler extracts theSet-Cookie response header from the login page,
stores that cookie and sends it in a Cookie header when crawling all pages of the website defined in the configuration.
This cookie is only retrieved at the beginning of each complete crawl.
It wonβt be renewed automatically if it expires.
- With a direct request with the credentials to your login endpoint, like a standard
curlcommand (fetchRequest). - By emulating a web browser, loading your login page, entering the credentials and validating the login form
(
browserRequest).
OAuth 2.0
The crawler supports the OAuth 2.0 Client Credentials Grant flow. It performs an Access Token Request using the provided credentials, stores the retrieved token in anAuthorization header,
and sends it when crawling all pages of the website defined in the configuration.
This token is only retrieved at the beginning of each complete crawl.
It wonβt be renewed automatically if it expires.
client_id and client_secret)
in the request body as described in RFC 6749.
The following providers are supported.
Parameters
object
Manually create the login request.Example:
JavaScript
object
Use a web browser to visit your login page and validate the login form similar to a human.Example:
JavaScript
object
Use the OAuth 2.0 Client Credentials Grant flow to generate an
Authorization header.Example:JavaScript